#{extends 'borderNG.html' /}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'evaluasi.home'}</a></li>
    <li><a href="@{nonlelang.PengadaanLCtr.view(pl.lls_id)}">&{'evaluasi.info_non_tender'}</a></li>
</ol>
#{tabmenuPL tahapStarted/}
<div class="content">
    #{if !allow_penetapan}<a href="@{nonlelang.EvaluasiPLCtr.index(pl.lls_id)}" class="badge  badge-secondary float-right"><i class="fa fa-arrow-left"></i> Kembali ke Hasil Evaluasi</a>#{/if}
    <a href="@{nonlelang.EvaluasiPLCtr.indexpl(pl.lls_id)}" class="badge  badge-secondary float-right"><i class="fa fa-arrow-left"></i> Kembali ke Hasil Evaluasi</a>
    <br /><br />
    <div id="alert-persetujuan"></div>
#{form @nonlelang.PersetujuanPlCtr.pemenang(pl.lls_id), id:'formPersetujuan'}
<table class="table table-sm">
    <tr>
        <th width="5" >No</th>
        <th>&{'evaluasi.peserta'}</th>
        <th width="160" >#{if nego} &{'evaluasi.harga_negosiasi'} #{/if} #{else} &{'evaluasi.harga_terkoreksi'}#{/else}</th>
        #{if pl?.evaluasi?.nilai}
        <th width="50" >&{'evaluasi.skor_akhir'}</th>
        #{/if}
        <th width="50">&{'evaluasi.urutan'}</th>
        <th width="80">&{'evaluasi.pemenang'}</th>
    </tr>
    #{list items:evaluasi?.findPesertaList(true), as:'pesertaItem'}
    <tr>
        <td align="center">${pesertaItem_index}</td>
        <td>${pesertaItem?.peserta?.namaPeserta}</td>
        <td align="right">${pesertaItem.hargaFinal()?.rupiah()}</td>
        #{if pl?.evaluasi?.nilai}
        <td align="right">${pesertaItem.nev_skor}</td>
        #{/if}
        <td align="center">${pesertaItem?.nev_urutan}</td>
        <td align="center">#{if pesertaItem.lulus}<i class="fa fa-check" /> #{/if}</td>
    </tr>
    #{/list}
</table>
<div class="form-group">
    <label class="col-sm-3 col-form-label">Alasan Tidak Setuju</label>
    <div class="col-sm-9">
        <textarea id="alasan" name="alasan" rows="5" class="form-control #{validate 'alasan'/}">${pl.findPersetujuan(active_user.pegawaiId, true)?.alasan}</textarea>
        <div class="invalid-feedback">#{error 'alasan'/}</div>
        <span class="form-text">minimal 10 karakter</span>
    </div>
</div>
<button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">&{'evaluasi.setuju'}</button>
<button type="submit" name="setuju" id="tidak_setuju" value="false" class="btn btn-danger">&{'evaluasi.tidak_setuju'}</button>
#{/form}
</div>
#{set 'custom_script'}
<script type="text/javascript">
    //pengaturan untuk tombol setuju dan tidak setuju
    $(document).ready(function() {
        btnPersetujuan($("#alasan"));
    });
    $(document).on('keyup','#alasan', function(){
        btnPersetujuan(this);
    });

    function btnPersetujuan(e){
        var val = $(e).val();
        if(val != ""){
            $("#setuju").attr("disabled", true);
            $("#tidak_setuju").attr("disabled", false);
        }else{
            $("#setuju").attr("disabled", false);
            $("#tidak_setuju").attr("disabled", true);
        }
    }
</script>
#{/set}